# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "rr"
  s.version = "1.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Brian Takita", "Elliot Winkler"]
  s.date = "2013-06-18"
  s.description = "RR is a test double framework that features a rich selection of double techniques and a terse syntax."
  s.email = ["elliot.winkler@gmail.com"]
  s.files = ["CHANGES.md", "CREDITS.md", "LICENSE", "README.md", "VERSION", "doc/01_test_double.md", "doc/02_syntax_comparison.md", "doc/03_api_overview.md", "lib/rr.rb", "lib/rr/adapters.rb", "lib/rr/adapters/rr_methods.rb", "lib/rr/autohook.rb", "lib/rr/blank_slate.rb", "lib/rr/class_instance_method_defined.rb", "lib/rr/core_ext/array.rb", "lib/rr/core_ext/enumerable.rb", "lib/rr/core_ext/hash.rb", "lib/rr/core_ext/range.rb", "lib/rr/core_ext/regexp.rb", "lib/rr/double.rb", "lib/rr/double_definitions/child_double_definition_create.rb", "lib/rr/double_definitions/double_definition.rb", "lib/rr/double_definitions/double_definition_create.rb", "lib/rr/double_definitions/double_definition_create_blank_slate.rb", "lib/rr/double_definitions/double_injections/any_instance_of.rb", "lib/rr/double_definitions/double_injections/instance.rb", "lib/rr/double_definitions/strategies/double_injection/any_instance_of.rb", "lib/rr/double_definitions/strategies/double_injection/double_injection_strategy.rb", "lib/rr/double_definitions/strategies/double_injection/instance.rb", "lib/rr/double_definitions/strategies/implementation/implementation_strategy.rb", "lib/rr/double_definitions/strategies/implementation/proxy.rb", "lib/rr/double_definitions/strategies/implementation/reimplementation.rb", "lib/rr/double_definitions/strategies/implementation/strongly_typed_reimplementation.rb", "lib/rr/double_definitions/strategies/strategy.rb", "lib/rr/double_definitions/strategies/strategy_methods.rb", "lib/rr/double_definitions/strategies/verification/dont_allow.rb", "lib/rr/double_definitions/strategies/verification/mock.rb", "lib/rr/double_definitions/strategies/verification/stub.rb", "lib/rr/double_definitions/strategies/verification/verification_strategy.rb", "lib/rr/double_matches.rb", "lib/rr/errors.rb", "lib/rr/errors/double_definition_error.rb", "lib/rr/errors/double_not_found_error.rb", "lib/rr/errors/double_order_error.rb", "lib/rr/errors/rr_error.rb", "lib/rr/errors/spy_verification_errors/double_injection_not_found_error.rb", "lib/rr/errors/spy_verification_errors/invocation_count_error.rb", "lib/rr/errors/spy_verification_errors/spy_verification_error.rb", "lib/rr/errors/subject_does_not_implement_method_error.rb", "lib/rr/errors/subject_has_different_arity_error.rb", "lib/rr/errors/times_called_error.rb", "lib/rr/expectations/any_argument_expectation.rb", "lib/rr/expectations/argument_equality_expectation.rb", "lib/rr/expectations/times_called_expectation.rb", "lib/rr/hash_with_object_id_key.rb", "lib/rr/injections/double_injection.rb", "lib/rr/injections/injection.rb", "lib/rr/injections/method_missing_injection.rb", "lib/rr/injections/singleton_method_added_injection.rb", "lib/rr/integrations.rb", "lib/rr/integrations/decorator.rb", "lib/rr/integrations/minitest.rb", "lib/rr/integrations/minitest_4.rb", "lib/rr/integrations/minitest_4_active_support.rb", "lib/rr/integrations/minitest_active_support.rb", "lib/rr/integrations/rspec/invocation_matcher.rb", "lib/rr/integrations/rspec_1.rb", "lib/rr/integrations/rspec_2.rb", "lib/rr/integrations/test_unit_1.rb", "lib/rr/integrations/test_unit_2.rb", "lib/rr/integrations/test_unit_200.rb", "lib/rr/integrations/test_unit_200_active_support.rb", "lib/rr/integrations/test_unit_2_active_support.rb", "lib/rr/method_dispatches/base_method_dispatch.rb", "lib/rr/method_dispatches/method_dispatch.rb", "lib/rr/method_dispatches/method_missing_dispatch.rb", "lib/rr/proc_from_block.rb", "lib/rr/recorded_calls.rb", "lib/rr/space.rb", "lib/rr/spy_verification.rb", "lib/rr/spy_verification_proxy.rb", "lib/rr/times_called_matchers/any_times_matcher.rb", "lib/rr/times_called_matchers/at_least_matcher.rb", "lib/rr/times_called_matchers/at_most_matcher.rb", "lib/rr/times_called_matchers/integer_matcher.rb", "lib/rr/times_called_matchers/never_matcher.rb", "lib/rr/times_called_matchers/non_terminal.rb", "lib/rr/times_called_matchers/proc_matcher.rb", "lib/rr/times_called_matchers/range_matcher.rb", "lib/rr/times_called_matchers/terminal.rb", "lib/rr/times_called_matchers/times_called_matcher.rb", "lib/rr/version.rb", "lib/rr/wildcard_matchers.rb", "lib/rr/wildcard_matchers/anything.rb", "lib/rr/wildcard_matchers/boolean.rb", "lib/rr/wildcard_matchers/duck_type.rb", "lib/rr/wildcard_matchers/hash_including.rb", "lib/rr/wildcard_matchers/is_a.rb", "lib/rr/wildcard_matchers/numeric.rb", "lib/rr/wildcard_matchers/satisfy.rb", "lib/rr/without_autohook.rb", "rr.gemspec"]
  s.homepage = "http://rr.github.com/rr"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.23"
  s.summary = "RR is a test double framework that features a rich selection of double techniques and a terse syntax."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
    else
    end
  else
  end
end
